//
//  DisplayMap.m
//  Buoys
//
//  Created by Fernando Pérez López on 28/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//



#import "DisplayMap.h"

@implementation DisplayMap

@synthesize coordinate,title,subtitle,latitude,longitude,date,temperature,conductivity,salinity;



- (id) initWithDictionary:(NSDictionary *) dict
{
	self = [super init];
	if (self != nil) {
		coordinate.latitude = [[dict objectForKey:@"Latitude"] doubleValue];
		coordinate.longitude = [[dict objectForKey:@"Longitude"] doubleValue];
		self.title = [NSString stringWithFormat: @"Date: %@",[dict objectForKey:@"Date"]];
        
        NSString *latAux = [NSString stringWithFormat: @"Lat:  %@",[dict objectForKey:@"Latitude"]];
        
        
        
                
        NSString *lonAux = [NSString stringWithFormat: @"Lon:  %@",[dict objectForKey:@"Longitude"]];
        latAux = [latAux stringByAppendingString:@" "];
        
        
        // Fijamos variables que vamos a pasar
        self.latitude = [NSString stringWithFormat: @"%@",[dict objectForKey:@"Latitude"]];
        self.longitude = [NSString stringWithFormat: @"%@",[dict objectForKey:@"Longitude"]];;
        self.date = [dict objectForKey:@"Date"];
        self.temperature = [dict objectForKey:@"Temperature"];
        self.conductivity = [dict objectForKey:@"Conductivity"];
        self.salinity = [dict objectForKey:@"Salinity"];
        
        
		self.subtitle = [latAux stringByAppendingString:lonAux];
	}
	return self;
}




-(void)dealloc{
    [latitude release];
    [longitude release];
    [date release];
    [temperature release];
    [conductivity release];
    [salinity release];
    [title release];
    [subtitle release];
    [super dealloc];
}

@end