//
//  DisplayMap.h
//  Buoys
//
//  Created by Fernando Pérez López on 28/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//


#import <Foundation/Foundation.h>
#import <MapKit/MKAnnotation.h>

@interface DisplayMap : NSObject <MKAnnotation> {
    
    CLLocationCoordinate2D coordinate; 
    NSString *title; 
    NSString *subtitle;
    NSString *latitude;
    NSString *longitude;
    NSString *date;
    NSString *temperature;
    NSString *conductivity;
    NSString *salinity;
    
    
}
@property (nonatomic, assign) CLLocationCoordinate2D coordinate; 
@property (nonatomic, copy) NSString *title; 
@property (nonatomic, copy) NSString *subtitle;
@property (nonatomic, copy) NSString *latitude;
@property (nonatomic, copy) NSString *longitude;
@property (nonatomic, copy) NSString *date;
@property (nonatomic, copy) NSString *temperature;
@property (nonatomic, copy) NSString *conductivity;
@property (nonatomic, copy) NSString *salinity;


@end
